@echo off
REM convert_to_tga.cmd -- convert your skybox files from bmp to tga format
REM 
REM IMPORTANT: This script needs the free software imagemagick. Download it from http://www.imagemagick.org.
REM
REM usage: "convert_to_tga.cmd [<basename>]"
REM
REM place this script where the 6 Terragen output bmp files are
REM
REM written by spirit - http://maps.sp1r1t.org
REM

REM settings -- you may want to adapth these to your needs, no need tough
@set DEFSOURCEFILENAME=skybox
@set FILEEXT=bmp
@set TARGETEXT=tga


REM don't mess with stuff below this line
@set APPTAG=[CONVERT2TGA]

echo %APPTAG% === convert_to_tga ===

REM check for args, bail out if missing
if {%1} == {} (@set SOURCEFILENAME=%DEFSOURCEFILENAME%) & (goto :DEF)
@set SOURCEFILENAME=%1

REM use default file names
:DEF

echo %APPTAG% Assuming input filename %SOURCEFILENAME%

REM let's do stuff
convert %SOURCEFILENAME%_rt.%FILEEXT% %SOURCEFILENAME%_rt.%TARGETEXT%
convert %SOURCEFILENAME%_lf.%FILEEXT% %SOURCEFILENAME%_lf.%TARGETEXT%
convert %SOURCEFILENAME%_ft.%FILEEXT% %SOURCEFILENAME%_ft.%TARGETEXT%
convert %SOURCEFILENAME%_bk.%FILEEXT% %SOURCEFILENAME%_bk.%TARGETEXT%
convert %SOURCEFILENAME%_up.%FILEEXT% %SOURCEFILENAME%_up.%TARGETEXT%
convert %SOURCEFILENAME%_dn.%FILEEXT% %SOURCEFILENAME%_dn.%TARGETEXT%


REM we won't delete the bmp files, you never know. the user can do that himself.

REM we're done: bye bye, baby, bye bye
:EOF
echo %APPTAG% Done, Exiting. I wrote your files to %SOURCEFILENAME%_XY.%TARGETEXT%. Enjoy.


