@echo off
REM rename_skybox_files.cmd -- rename the files Terragen created to use them as a skybox
REM usage: "rename_skybox_files [<basename>]"
REM
REM place this script where the 6 Terragen output files are (they are named "*000X.bmp", where X=1..6)
REM
REM written by spirit - http://maps.sp1r1t.org
REM

REM settings -- you may want to adapth these to your needs, no need tough
@set DEFSOURCEFILENAME=skybox
@set FILEEXT=bmp

REM don't mess with stuff below this line
@set APPTAG=[RENAMESKYBOX]

echo %APPTAG% === rename_skybox_files ===

REM check for args, bail out if missing
if {%1} == {} (@set SOURCEFILENAME=%DEFSOURCEFILENAME%) & (goto :DEF)
@set SOURCEFILENAME=%1

REM use default file names
:DEF

echo %APPTAG% Assuming input filename %SOURCEFILENAME%

REM let's do stuff

copy %SOURCEFILENAME%0001.%FILEEXT% %SOURCEFILENAME%_ft.%FILEEXT%
copy %SOURCEFILENAME%0002.%FILEEXT% %SOURCEFILENAME%_lf.%FILEEXT%
copy %SOURCEFILENAME%0003.%FILEEXT% %SOURCEFILENAME%_up.%FILEEXT%
copy %SOURCEFILENAME%0004.%FILEEXT% %SOURCEFILENAME%_bk.%FILEEXT%
copy %SOURCEFILENAME%0005.%FILEEXT% %SOURCEFILENAME%_rt.%FILEEXT%
copy %SOURCEFILENAME%0006.%FILEEXT% %SOURCEFILENAME%_dn.%FILEEXT%

REM we won't delete the bmp files, you never know. the user can do that himself.

REM we're done: bye bye, baby, bye bye
:EOF
echo %APPTAG% Done, Exiting. I wrote your files to %SOURCEFILENAME%_XY.%FILEEXT%. Enjoy.


